Grow volume
curl --request PATCH \
--url https://api.aireserve.com/v1/gpu/volumes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"sizeGb": 2053,
"quoteId": "<string>"
}
'import requests
url = "https://api.aireserve.com/v1/gpu/volumes/{id}"
payload = {
"sizeGb": 2053,
"quoteId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sizeGb: 2053, quoteId: '<string>'})
};
fetch('https://api.aireserve.com/v1/gpu/volumes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}GPU Compute
Grow volume
Increase the size of a network volume. Growth-only — volumes cannot be shrunk. Requires a signed quoteId for the new size. Returns 202 Accepted. Requires compute manage access.
PATCH
/
v1
/
gpu
/
volumes
/
{id}
Grow volume
curl --request PATCH \
--url https://api.aireserve.com/v1/gpu/volumes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"sizeGb": 2053,
"quoteId": "<string>"
}
'import requests
url = "https://api.aireserve.com/v1/gpu/volumes/{id}"
payload = {
"sizeGb": 2053,
"quoteId": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({sizeGb: 2053, quoteId: '<string>'})
};
fetch('https://api.aireserve.com/v1/gpu/volumes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"accepted": true,
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "accepted",
"resourceType": "pod"
}Authorizations
Your AI Reserve API key (aireserve_api_…) from the API Keys page in the portal (https://portal.aireserve.com/keys).
Headers
Path Parameters
Body
application/json
Response
Grow accepted.
Response to a 202 Accepted Compute mutation. All fields are camelCase. Use operationId to poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
true ID of the resource created or mutated.
ID for the durable operation record. Poll GET /v1/gpu/operations/{id} for terminal status.
Available options:
accepted, pending Available options:
pod, volume, template, registry, ssh_key